org.keycloak.utils

## Class CredentialHelper

- java.lang.Object
- - org.keycloak.utils.CredentialHelper

-     public class CredentialHelper
      extends Object

  used to set an execution a state based on type.
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static ServicesLogger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CredentialHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConfigurableAuthenticatorFactory` | `getConfigurableAuthenticatorFactory(KeycloakSession session, String providerId)`
    `static void` | `setAlternativeCredential(KeycloakSession session, String type, RealmModel realm)`
    `static void` | `setOrReplaceAuthenticationRequirement(KeycloakSession session, RealmModel realm, String type, AuthenticationExecutionModel.Requirement requirement, AuthenticationExecutionModel.Requirement currentRequirement)`
    `static void` | `setRequiredCredential(KeycloakSession session, String type, RealmModel realm)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final ServicesLogger logger

  - ### Constructor Detail

    - #### CredentialHelper

          public CredentialHelper()

  - ### Method Detail

    - #### setRequiredCredential

          public static void setRequiredCredential(KeycloakSession session,
                                                   String type,
                                                   RealmModel realm)

    - #### setAlternativeCredential

          public static void setAlternativeCredential(KeycloakSession session,
                                                      String type,
                                                      RealmModel realm)

    - #### setOrReplaceAuthenticationRequirement

          public static void setOrReplaceAuthenticationRequirement(KeycloakSession session,
                                                                   RealmModel realm,
                                                                   String type,
                                                                   AuthenticationExecutionModel.Requirement requirement,
                                                                   AuthenticationExecutionModel.Requirement currentRequirement)

    - #### getConfigurableAuthenticatorFactory

          public static ConfigurableAuthenticatorFactory getConfigurableAuthenticatorFactory(KeycloakSession session,
                                                                                             String providerId)

Copyright © 2016 JBoss by Red Hat. All rights reserved.